Last Comment Bug 530210 - nsIDOMFileError error code for ABORT_ERR does not match the specification
: nsIDOMFileError error code for ABORT_ERR does not match the specification
Status: RESOLVED FIXED
: dev-doc-complete
Product: Core
Classification: Components
Component: DOM (show other bugs)
: 1.9.2 Branch
: All All
: -- major (vote)
: ---
Assigned To: Jonas Sicking (:sicking) No longer reading bugmail consistently
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-20 15:31 PST by Arun Ranganathan
Modified: 2009-11-30 11:58 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
beta4-fixed


Attachments

Description Arun Ranganathan 2009-11-20 15:31:09 PST
Summary: nsIDOMFileError.idl (http://mxr.mozilla.org/mozilla1.9.2/source/content/base/public/nsIDOMFileError.idl) contains all the correct error codes except for ABORT_ERR, which currently is value 25 but should be value 20 according to the specification.

Current Behavior: ABORT_ERR is 25

Expected Behavior: The Working Draft covering FileError is: http://www.w3.org/TR/2009/WD-FileAPI-20091117/#dfn-fileerror .  ABORT_ERR is 20
Comment 1 Jonas Sicking (:sicking) No longer reading bugmail consistently 2009-11-24 17:56:57 PST
Fixed as part of bug 530901
Comment 2 Eric Shepherd [:sheppy] 2009-11-30 11:58:53 PST
Documentation updated.

Note You need to log in before you can comment on or make changes to this bug.